ngrouppresentation.h File Reference

Deals with finite presentations of groups. More...

`#include <algorithm>`
`#include <list>`
`#include <vector>`
`#include <set>`
`#include "regina-core.h"`
`#include "shareableobject.h"`
`#include "utilities/memutils.h"`
`#include "utilities/ptrutils.h"`

## Classes

struct | regina::NGroupExpressionTerm
| Represents a power of a generator in a group presentation. More...
class | regina::NGroupExpression
| Represents an expression involving generators from a group presentation or a free group. More...
class | regina::NGroupPresentation
| Represents a finite presentation of a group. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

REGINA_API std::ostream & | regina::operator<< (std::ostream &out, const NGroupExpressionTerm &term)
| Writes the given term to the given output stream. More...

## Detailed Description

Deals with finite presentations of groups.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).